<!DOCTYPE html>
<html lang="de" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Our Awesome Blog</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>our awesome blog</title>
    <link rel="shortcut icon" type="image/png" th:href="@{/public/img/favicon.ico}" sizes="32x32">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bulma/0.7.5/css/bulma.min.css">
    <link rel="stylesheet" href="/style.css"/>
    <script defer src="https://use.fontawesome.com/releases/v5.3.1/js/all.js"></script>
</head>
<body>
<section class="section">
    <nav class="navbar dunkelgrün has-text-weight-semibold is-fixed-top is-spaced 2 "
         role="navigation"
         aria-label="main navigation">
        <div class="container">
            <div class="navbar-brand">
                <a href="/beitraege"><span
                        class="has-text-weight-bold is-size-3 has-text-black">OurAwesomeBlog</span></a>
            </div>
            <div class="navbar-end">
                <a class="navbar-item" th:href="@{/login}" th:if="${sessionNutzer == null}">Login</a>

                <a class="navbar-item" th:href="@{/registrieren}" th:if="${sessionNutzer == null}">Registrieren</a>

                <form class="navbar-item" th:if="${sessionNutzer != null}" method="post" th:action="@{/logout}">
                    <button class="button dunkelgrün" type="submit">Logout</button>
                </form>

            </div>
        </div>
    </nav>
</section>
<section class="section">
    <div class="container">
        <div class="tile is-ancestor">
            <section>
                <article class="tile is-parent is-12" th:each="b,iterStat : ${beitraege}">
                    <div th:class="${iterStat.odd}? 'tile is-child box rose bounce-in-top1':'tile is-child box helleresgrün bounce-in-top1'">
                        <a th:href="@{/beitrag/{id}(id=${b.id})}"><h2 class="post__title"
                                                                      th:text="${b.beitragTitel}"></h2></a>
                        <div class="post__content" th:text="${b.beitragText}"></div>
                        <strong th:text="${b.formattiertesDatum}"></strong>
                        <span th:text="'Gepostet von '"></span> <a th:href="@{/nutzer/{id}(id=${b.nutzer.id})}">
                        <span th:text="${b.nutzer.nutzername}"></span></a>
                    </div>
                    <br>
                </article>
            </section>
        </div>
    </div>
    </div>
</section>
<div th:if="${sessionNutzer != null}">
    <section class="section">
        <div class="container">
            <div class="tile is-ancestor">
                <article class="tile is-parent">
                    <div class="tile is-child box dunkelgrün">
                        <h2 class="has-text-weight-semibold" has-text-weight-semibold>Neuen Beitrag erstellen:</h2>
                        <form th:object="${beitrag}" th:action="@{/beitraege}" th:if="${sessionNutzer.adminstatus}"
                              method="post">
                            <input class="input" type="text" placeholder="Titel" th:field="*{beitragTitel}">
                            <br>
                            <br>
                            <textarea class="textarea" placeholder="Inhalt" name="beitragText" id="" cols="30" rows="10"
                                      th:field="*{beitragText}"></textarea>
                            <p><input class="button dunkelgrün" type="submit"></p>
                        </form>
                    </div>
                    <br>
                </article>
            </div>
        </div>
    </section>
</div>
<footer class="footer has-text-centered ">
    <strong>OurAwesomeBlog</strong> by Jessica Gettkandt and Moritz Bechtold.
</footer>
</body>
</html>